Convert-O-Tron 250 not allowing attachment of parts
10/21/2016 07:22 AM - untoldforce

Status: Not a Bug

Severity: Normal

Assignee:

Category: Parts

Target version:

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Description: The Convert-O-Tron 250 mining rig is not allowing any parts to be attached to it radially. It appears transparent when
trying to attach anything in the VAB.

Steps to Replicate:

1) Go into the VAB and place any starting part

2) Place the Convert-O-Tron 250 axially (inline) to the starting part - axial part connections work
3) Try to connect any part to the Convert-O-Tron 250 exterior

Expected: The Convert-O-Tron 250 should behave like the smaller Convert-O-Tron 125, which allows parts to be radially connected.
This is important for thermal control.

Result/Observed: The Convert-O-Tron does not allow for any parts to be attached radially, meaning no thermal control. Parts can still
be attached to the axial dots on the top and bottom.

Fixes/Workarounds: None

Notes: Tried on a new x64 install but did not try to verify in 32 bit environment

History

#1 - 10/21/2016 08:16 AM - Nebbie
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Had to design around this recently, thought it was meant to be that way, but had forgotten that my old design with the smaller one included drills on
the side of the small one, so yeah, inconsistent part attachment behavior between the two.

Doubt 32 bit would be different, | ran into this on Linux, it's likely a problem in the part config.

#2 -10/21/2016 11:04 AM - sal_vager
- Status changed from Confirmed to Not a Bug

- % Done changed from 10 to 100

Sorry to tell you guys but this isn't a bug, it does not allow surface attachment by design.

#3 - 01/20/2018 08:24 PM - Anonymous

- File sandbox_VAB_RadialAttachConvertotron.png added
- File RadialAttachConvertotron.craft added

- Tracker changed from Bug to Feedback

- Version changed from 1.2.0 to 1.3.1

Since the attachment rules are by design, let's make this feedback, a suggestion to change them. This design specification looks somewhat like a
typo.
@PARTI[ISRU] {

/ flags: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
/] suggest

@attachRules = 1,0,1,1,0

/I was 1,1,1,0,0

}

The convert-o-tron 250 is allowed to be surface attached to other parts, but its configuration lacks a node_attach specification, so the convert-o-tron
clips far into whatever part it is surface-attached to.

The model has four flat panels that look like good surface-mounting areas. The similar convert-o-tron 125 allows radiators to be attached.
Preventing radiators from being directly attached forces players to understand the 'nearby parts' limitation (which is now described nicely in KSPedia)
in detail.

The current design does allow me to surface-attach the convert-o-tron to a strut, connect the radiator to that strut, and then re-root to the
convert-o-tron, to have the similar effect (as attached). In practice, of course, it is simpler to connect radiators to the next part in the stack and offset
them over the convert-o-tron.

Files
sandbox_VAB_RadialAttachConvertotron.png 82.6 KB 01/20/2018 Anonymous
RadialAttachConvertotron.craft 6.85 KB 01/20/2018 Anonymous
